AnsweredAssumed Answered

How to Click on "OK" on Drawing View Property Dialog by Macro

Question asked by Abhishek Lad on Sep 25, 2019
Latest reply on Sep 26, 2019 by Abhishek Lad

Hiee All,

I want to open drawing view property dialog and click "OK" by API/ macro (refer attached image)

I am using following code : 


boolstatus = oDoc.Extension.SelectByID2("Section View J-J", "DRAWINGVIEW", 0, 0, 0, False, 0, Nothing, 0)
SwApp.RunCommand(swCommands_e.swCommands_Properties, "")
SwApp.RunCommand(swCommands_e.swCommands_PmOK, "")
SwApp.RunCommand(swCommands_e.swCommands_Ok_Command, "")
SwApp.RunCommand(swCommands_e.swCommands_Ok, "")

 

Above code opens the selected drawing view property  window but can't able to click ok.(refer attached image) also swCommands_PmOK, swCommands_Ok_Command,swCommands_Ok not click on OK button on dialog.

 

Does anyone know how can i click on "OK" Button.

 

Thank You. 

 

Attachments

Outcomes